﻿/* Generell styling */
html, body {
    font-family: 'Noto Sans';
    color: var(--nkblack);
}

h1, h2, h3, h4, h5, h6 {
    font-family: 'Poppins';
}

:root {
    --nkprofile: #034E31;
    --nkblack: #2E2D30;
    --nkwhite: #FFFFFF;
    --nksekgreen: #24BD76;
    --nkorange: #F5AD4D;
    --nkred: #E25653;
    --nktypography: #24BD76;
}

main {
    display: flex;
    flex-direction: column;
    width: 100%;
}

input {
    font-size: 1rem !important; /* Temp fix, Radzen overskriver input font size */
}

.page {
    min-height: 100vh;
}

.content {
    display: flex;
    justify-content: center;
    padding-top: 1.1rem;
    flex: 1 0 auto;
    width: 100%;
    align-self: center;
}

.sm-information {
    font-size: 0.75rem;
}

.md-information {
    font-size: 1rem;
}

.lg-information {
    font-size: 1.5rem;
}

.nk-underline {
    border-bottom: 3px solid var(--nkprofile);
}

.nk-navbar {
    box-shadow: 0 2px 4px 0 rgb(0 0 0 / 15%);
    margin-bottom: 15px;
}

.nk-background {
    color: var(--nkprofile) !important;
}

.nk-primary-btn {
    color: #fff !important;
    background: var(--nkprofile) !important;
    border-color: var(--nkprofile) !important;
}

    .nk-primary-btn:hover {
        background: #05613d !important;
        border-color: #05613d !important;
    }

.nk-action-link {
    color: var(--nktypography);
    text-decoration: underline;
}

    .nk-action-link:hover {
        color: var(--nktypography);
        text-decoration: underline;
    }

.header-icon {
    font-size: 38px !important;
    vertical-align: middle;
    line-height: 0 !important;
    position: relative;
    top: -1px;
    color: var(--nkblack);
}

.font-icon {
    vertical-align: middle;
    line-height: 0 !important;
    position: relative;
    top: -3px;
}

li .font-icon {
    color: var(--nkblack) !important;
}

.warning-icon {
    color: var(--nkorange);
}

.success-icon {
    color: var(--nkprofile);
}

.default-icon {
    color: var(--nkblack);
}

.nk-action-link {
    padding-left: 0px;
}

.list-group-item {
    padding-left: 0px !important;
}

.loading-spinner {
    align-self: center;
}

.unvalid-path-message {
    align-self: center;
    width: 100%;
    text-align: center;
}

.form-check-input:focus {
    border-color: var(--nkprofile);
    outline: 0;
    box-shadow: 0 0 0 0.25rem rgb(81 160 38 / 25%);
}

.form-check-input:checked, .form-check-input::before {
    background-color: var(--nkprofile);
    border-color: var(--nkprofile);
}

    .form-check-input:checked:focus {
        border-color: var(--nkprofile);
        outline: 0;
        box-shadow: 0 0 0 0.25rem rgb(81 160 38 / 25%);
    }

.form-check-input:hover {
    cursor: pointer;
}

@media screen and (min-width: 550px) {
    .content {
        width: 90%;
        max-width: 1000px;
    }
}

@media screen and (min-width: 1400px) {
    .content {
        width: 50%;
    }
}